---
id: workflow-list
title: List workflows
description: 'Lists the workflows in your organization, paginated.'
sidebar_label: List workflows
hide_title: true
hide_table_of_contents: true
api: >-
  eJztV99v2zYQ/lcOfGmHybY2tOigt6xohwxbUbQpUqAI5rN4stlIpEqe4niG/vfhKNmRHdXpupc95MmmeMf77tdH3lYxLoPKPqlL56+L0q1BU2GsYeNsUFeJ0hRyb2pZq0z9YQIH4BXBupcPYCxsXOPB+SVa8zeKaAI1Lo1FJj1ViXI1+fj9XKtM7VSz0gRWiarRY0VMXoBslRFDXxryG5UoixWpTJWmMiIa8hVVqLKt4k0tG8YyLckrAVpgU7LKnqeJqvDWVE0li7Q9duJiRdALgG2qBXlwBXgKTckBavICnuBpXmJVkwZ28DxNfxBH6BaruiQ5t03GobqiCPQA1srYDl46wD0ONDB6NnYJtTOWoXB+F1rj7AGktL1KVKC88YY3MZILQk/+rOGVyj5dybanUDsbKAisn9NUfu7b3OcOJEMSnH22xWLuLJNl0cW6Lk0escw+Bzlge99vt/hMeUy0l0Jg05nXyEMp9B4ljIapivtsWNzaV6ZK7h3o6UtjPGkpYKN3OUhU7kngn4lMU+v+/9UxAqMH9gN7Y5fDgKp18ZcpLn9dXBZ1s0ytahN1TZvTOliZifam4EnI0VryotWVxim1sz/PIarBQO0gM8farTSOZPbUsTPMRXsSgzrbYxPlYbuejwRCYPtxuxUxHmWvT0k7jP0IssL5ClllknyasKlIVO5S9I0qbdsmih1jOdJebdLTxehW354je2137LOPH+93xcvSkGUg752fgvTIwukNBNwEWK+QYS3ba+/sMgO0nSDMxcQ8AYRVU6GdeEKNi5JgronRlLJldQLOwg2WRsdcQIGmbDwF+U5Alv0mkpIrCrJaqKAwVOoTnVh7tyip+nGkI/ueettJjLTUKANZjV73TkXHn757/RJe/JK+gN4WdB6FBAL5G9KAAeZfwzSPXHrYix2O++k/xPMqQhAZ+PDuPAGaLqcwXzHXIZvNdiw1CZvAVE013cwi6HC3ZR1PCtdYPT8gT/VdZ0hB9SE91YVvnBB3Lx8YuQmj18Je41n6LLa/hPSho/fcDGvDKzAajmgL6FZubbFtrCQzfwDu3tEwGzwGZiNs2AVmhMQPs/bWU5D+GK/z7OE6v7sTTt4o38CHgakOM+HYWe5sYXo+CwGXD0SlagLDCm8IdrcO9NY38CR3mp70FBJZ5PkYi3ywdFtTLhdr7BLfE8pjJz928mMn/y87uXvtrJzMLUvqphWB9pXQyrM/dnY3yjS+HBQk1mZqm7KsS2R51UxzV6nho/29dHcXgOHTfe+LHLQbLGTdCamk//N691L6/fJCtbFICifqgqfL30/TdJqqfamrNwM4cPb2PL4qXeAKI930I41MfXcjwHFRbO/I63vnw94/plue1SWaWJIxeLtS+KQO7R/MqCsXWES22wUG+uDLtpXP3WAmedAmyLtLq6zAMtAJB/7DbDjqRJwX9uPrDZaNyCgZHv8dqAfnwBPm9yPpnf0rWXgjAOJsmKgVoSYfw9VpneU51UOte8OenLLvjt9eXahE4WHFHlVoPH1HMHYzOHu77SQu3DXZtlU76Cxr1V61bfsPpzXNZg==
sidebar_class_name: get api-method
info_path: docs/api/nullplatform-api
custom_edit_url: null
canonical: 'https://docs.nullplatform.com/docs/api/workflow-list'
---
<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"List workflows"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/workflows/definitions"}
  context={"endpoint"}
>

</MethodEndpoint>

Lists the workflows in your organization, paginated.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"query","name":"limit","schema":{"type":"integer","default":50,"maximum":500},"description":"The maximum number of results per page (clamped to 500).","example":50},{"in":"query","name":"offset","schema":{"type":"integer","minimum":0,"default":0},"description":"The starting point for pagination.","example":0}]}
>

</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>

</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"The paginated list of workflows.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"title":"Workflow","type":"object","required":["id","name","createdAt","updatedAt"],"properties":{"id":{"type":"string","example":"wf_ifWBbWfpug0n"},"key":{"type":"string","example":"ami-drift-scanner"},"name":{"type":"string","example":"AMI drift scanner"},"description":{"type":"string"},"path":{"type":"string","example":"/action-items/ami-drift"},"organizationId":{"type":"string"},"nrn":{"type":"string"},"metadata":{"type":"object"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}}},"total":{"type":"integer"},"limit":{"type":"integer"},"offset":{"type":"integer"}}}}}},"4XX":{"description":"Client error. The body says what went wrong: an error `type`, a human-readable `detail`, and, on validation failures, one entry per offending field.","content":{"application/problem+json":{"schema":{"title":"Problem","type":"object","description":"The standard error body (RFC 7807 problem details, served as `application/problem+json`).","properties":{"type":{"type":"string","description":"Error type URI, e.g. `https://workflow-system.dev/errors/workflow-not-found`.","example":"https://workflow-system.dev/errors/workflow-not-found"},"title":{"type":"string","example":"Not found"},"status":{"type":"integer","example":404},"detail":{"type":"string","example":"No workflow with id wf_ifWBbWfpug0n exists"},"instance":{"type":"string","example":"/workflows/definitions/wf_ifWBbWfpug0n"},"errors":{"type":"array","description":"Present on validation failures: one entry per offending field.","items":{"type":"object","properties":{"path":{"type":"string","example":"/steps/scan/config"},"message":{"type":"string","example":"must have required property 'code'"}}}}}}}}},"5XX":{"description":"Unexpected server error.","content":{"application/problem+json":{"schema":{"title":"Problem","type":"object","description":"The standard error body (RFC 7807 problem details, served as `application/problem+json`).","properties":{"type":{"type":"string","description":"Error type URI, e.g. `https://workflow-system.dev/errors/workflow-not-found`.","example":"https://workflow-system.dev/errors/workflow-not-found"},"title":{"type":"string","example":"Not found"},"status":{"type":"integer","example":404},"detail":{"type":"string","example":"No workflow with id wf_ifWBbWfpug0n exists"},"instance":{"type":"string","example":"/workflows/definitions/wf_ifWBbWfpug0n"},"errors":{"type":"array","description":"Present on validation failures: one entry per offending field.","items":{"type":"object","properties":{"path":{"type":"string","example":"/steps/scan/config"},"message":{"type":"string","example":"must have required property 'code'"}}}}}}}}}}}
>

</StatusCodes>

